RagTime5GraphInternal::ClusterPicture Struct Reference documentation

RagTime5GraphInternal::ClusterPicture Struct Referencefinal

the picture cluster More...

Inheritance diagram for RagTime5GraphInternal::ClusterPicture:

## Public Member Functions
| ClusterPicture ()
| constructor
| ~ClusterPicture () final
| destructor
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor
virtual | ~Cluster ()
| destructor

## Public Attributes
RagTime5ClusterManager::Link | m_auxilliarLink
| the first auxilliar data
int | m_containerId
| the picture container id
MWAWVec2f | m_dimension
| the picture dimension
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type
int | m_zoneId
| the zone id
bool | m_hiLoEndian
| the cluster hiLo endian
librevenge::RVNGString | m_name
| the cluster name (if know)
Link | m_childLink
| the child link
Link | m_parentLink
| the parent link
Link | m_dataLink
| the main data link
NameLink | m_nameLink
| the name link
Link | m_formulaLink
| the formula cluster links (def and pos)
std::vector< Link > | m_settingLinks
| the settings links
std::vector< Link > | m_linksList
| the link list
std::vector< int > | m_clusterIdsList
| the cluster ids
bool | m_isSent
| true if the cluster was send

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Detailed Description

the picture cluster

## Constructor & Destructor Documentation

## ◆ ClusterPicture()

RagTime5GraphInternal::ClusterPicture::ClusterPicture | ( |  | ) |
| inline

constructor

Referenced by ~ClusterPicture().

## ◆ ~ClusterPicture()

RagTime5GraphInternal::ClusterPicture::~ClusterPicture | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_auxilliarLink

RagTime5ClusterManager::Link RagTime5GraphInternal::ClusterPicture::m_auxilliarLink

the first auxilliar data

Referenced by ClusterPicture().

## ◆ m_containerId

int RagTime5GraphInternal::ClusterPicture::m_containerId

the picture container id

Referenced by ClusterPicture(), and RagTime5Graph::send().

## ◆ m_dimension

MWAWVec2f RagTime5GraphInternal::ClusterPicture::m_dimension

the picture dimension

Referenced by ClusterPicture().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx